.PHONY: help

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

.env:
	virtualenv -p python3 .env

install: .env ## install project dependencies
	.env/bin/pip install -r packages/dev

serve: ## run server in debug mode with hot reload enabled
	.env/bin/python server.py
